(0) exportieren Drucken
Alle erweitern
Dieser Artikel wurde manuell übersetzt. Bewegen Sie den Mauszeiger über die Sätze im Artikel, um den Originaltext anzuzeigen. Weitere Informationen
Übersetzung
Original

throw (C#-Referenz)

Mit der throw-Anweisung wird das Auftreten einer außergewöhnlichen Situation oder Ausnahme während der Programmausführung signalisiert.

Die ausgelöste Ausnahme ist ein Objekt, dessen Klasse von System.Exception abgeleitet wird, wie im folgenden Beispiel gezeigt.

class MyException : System.Exception {}
// ...
throw new MyException();

Normalerweise wird die throw-Anweisung mit try-catch-Anweisungen oder try-finally-Anweisungen verwendet. Mit einer throw-Anweisung kann in einem catch-Block die Ausnahme erneut ausgelöst werden, die vom catch-Block abgefangen wurde. In diesem Fall verwendet die throw-Anweisung keinen Operanden für die Ausnahme. Weitere Informationen und Beispiele finden Sie unter try-catch (C#-Referenz) und Gewusst wie: Explizites Auslösen von Ausnahmen.

In diesem Beispiel wird veranschaulicht, wie mit der throw-Anweisung eine Ausnahme ausgelöst wird.


    public class ThrowTest2
    {

        static int GetNumber(int index)
        {
            int[] nums = { 300, 600, 900 };
            if (index > nums.Length)
            {
                throw new IndexOutOfRangeException();
            }
            return nums[index];

        }
        static void Main() 
        {
            int result = GetNumber(3);

        }
    }
    /*
        Output:
        The System.IndexOutOfRangeException exception occurs.
    */



Weitere Informationen finden Sie in den Beispielen in try-catch (C#-Referenz) und Gewusst wie: Explizites Auslösen von Ausnahmen.

Weitere Informationen erhalten Sie unter C#-Sprachspezifikation. Die Sprachspezifikation ist die verbindliche Quelle für die Syntax und Verwendung von C#.

Community-Beiträge

HINZUFÜGEN
Anzeigen:
© 2014 Microsoft